package com.gci.boot.modules.customer.service;

import com.gci.boot.modules.customer.entity.TbCustomerFollow;
import com.gci.boot.modules.customer.entity.TbCustomerOpinion;
import com.gci.boot.modules.customer.entity.TbCustomerOpinionHandle;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 客户反馈意见 服务类
 * </p>
 *
 * @author xushuhan
 * @since 2023-10-16
 */
public interface ITbCustomerOpinionService extends IService<TbCustomerOpinion> {

	void updateStatus(TbCustomerOpinionHandle item);

	void saveItem(TbCustomerFollow item);

	void getOpinionByFollowId(TbCustomerFollow check);

	void initHasOpinion(List<TbCustomerFollow> list);

}
